Bug 882373 - Cluster ring queue unit test is failing
Cluster ring queue unit test is failing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity high
: 2.3
: ---
Assigned To: Alan Conway
Frantisek Reznicek
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-30 14:29 EST by Alan Conway
Modified: 2015-11-15 20:14 EST (History)
6 users (show)

See Also:
Fixed In Version: qpid-cpp-0.18-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:37:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2012-11-30 14:29:00 EST
Description of problem:
Test is failing: cluster_test.cpp: testRingQueueUpdate

Version-Release number of selected component (if applicable):
0.18-mrg branch

How reproducible: 100%


Steps to Reproduce:
In a build: cd src/tests; ./test_env.sh; cluster_test
  
Actual results:
Fails with output: 
../../../qpid/cpp/src/tests/cluster_test.cpp(952): error in "testRingQueueUpdate": check browse(client, queue, messages.size()) == messages failed [m_1 m_3 m_4 m_5 m_6  != m_2 m_3 m_4 m_5 m_6 ]


Expected results: Pass


Additional info:
Comment 1 Justin Ross 2012-12-03 09:35:09 EST
Alan, did you have someone in mind to look at this bug?
Comment 2 Justin Ross 2012-12-03 09:41:06 EST
Assigning to Alan for now.  Reassign as needed.
Comment 5 Frantisek Reznicek 2013-01-25 10:40:19 EST
c++ cluster_test isolation started.
Comment 6 Frantisek Reznicek 2013-01-30 11:39:42 EST
The issue has been fixed testRingQueueUpdate* tests are consecutively passing extensive testing (>450 loops on total 6 machines 5.9iixx, 6.4ix).

Tested on packages:
python-qpid-0.18-4.el5
python-qpid-qmf-0.18-14.el5
qpid-cpp-client-0.18-14.el5
qpid-cpp-client-devel-0.18-14.el5
qpid-cpp-client-devel-docs-0.18-14.el5
qpid-cpp-client-rdma-0.18-14.el5
qpid-cpp-client-ssl-0.18-14.el5
qpid-cpp-mrg-debuginfo-0.18-14.el5
qpid-cpp-server-0.18-14.el5
qpid-cpp-server-cluster-0.18-14.el5
qpid-cpp-server-devel-0.18-14.el5
qpid-cpp-server-ha-0.18-14.el5
qpid-cpp-server-rdma-0.18-14.el5
qpid-cpp-server-ssl-0.18-14.el5
qpid-cpp-server-store-0.18-14.el5
qpid-cpp-server-xml-0.18-14.el5
qpid-java-client-0.18-7.el5
qpid-java-common-0.18-7.el5
qpid-java-example-0.18-7.el5
qpid-jca-0.18-8.el5
qpid-jca-xarecovery-0.18-8.el5
qpid-jca-zip-0.18-8.el5
qpid-qmf-0.18-14.el5
qpid-qmf-debuginfo-0.18-14.el5
qpid-qmf-devel-0.18-14.el5
qpid-tests-0.18-2.el5
qpid-tools-0.18-7.el5
rh-qpid-cpp-tests-0.18-14.el5
ruby-qpid-qmf-0.18-14.el5

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.